//
//  BMKBackgroundLocInfoView.m
//  BMKBackgroundLocOCDemo
//
//  Created by v_chiyuanwei on 2020/7/15.
//  Copyright © 2020 baidu. All rights reserved.
//

#import "BMKBackgroundLocInfoView.h"

@interface BMKBackgroundLocInfoView ()

@property (nonatomic, strong) UILabel *titleLabel;
@property (nonatomic, strong) UIView *sptrLine;
@property (nonatomic, strong) UITextView *locInfoTextView;

@end

@implementation BMKBackgroundLocInfoView

- (instancetype)initWithFrame:(CGRect)frame {
    
    if (self = [super initWithFrame:frame]) {
        self.backgroundColor = [[UIColor whiteColor] colorWithAlphaComponent:0.7];
        [self setupViews];
    }
    
    return self;
}

#pragma mark -
- (void)setupViews {
    [self addSubview:self.titleLabel];
    [self addSubview:self.sptrLine];
    [self addSubview:self.locInfoTextView];
}

#pragma mark -
- (void)setLocInfo:(NSString *)locInfo {
    _locInfo = locInfo;
    
    self.locInfoTextView.text = locInfo;
    [self.locInfoTextView scrollRangeToVisible:NSMakeRange(self.locInfoTextView.text.length, 1)];
}

#pragma mark -
- (UILabel *)titleLabel {
    if (!_titleLabel) {
        _titleLabel = [[UILabel alloc] init];
        _titleLabel.frame = CGRectMake((self.frame.size.width - 150) / 2, 5, 150, 25);
        _titleLabel.font = [UIFont systemFontOfSize:16];
        _titleLabel.textAlignment = NSTextAlignmentCenter;
        _titleLabel.text = @"后台持续定位";
    }
    return _titleLabel;
}

- (UIView *)sptrLine {
    if (!_sptrLine) {
        _sptrLine = [[UIView alloc] init];
        _sptrLine.frame = CGRectMake(10, CGRectGetMaxY(self.titleLabel.frame) + 5, self.frame.size.width - 20, 0.5);
        _sptrLine.backgroundColor = [UIColor colorWithWhite:0.f alpha:0.3];
    }
    return _sptrLine;
}

- (UITextView *)locInfoTextView {
    if (!_locInfoTextView) {
        _locInfoTextView = [[UITextView alloc] init];
        _locInfoTextView.frame = CGRectMake(10, CGRectGetMaxY(self.sptrLine.frame) + 10, self.frame.size.width - 20, self.frame.size.height - CGRectGetMaxY(self.sptrLine.frame) - 20);
        _locInfoTextView.backgroundColor = [UIColor clearColor];
        _locInfoTextView.font = [UIFont systemFontOfSize:15];
        _locInfoTextView.textAlignment = NSTextAlignmentCenter;
        _locInfoTextView.editable = false;
    }
    return _locInfoTextView;
}

@end
