//
//  BMKBackgroundLocTabView.m
//  BMKBackgroundLocOCDemo
//
//  Created by v_chiyuanwei on 2020/7/15.
//  Copyright © 2020 baidu. All rights reserved.
//

#import "BMKBackgroundLocTabView.h"

@interface BMKBackgroundLocTabView ()

/// 开始/停止定位
@property (nonatomic, strong) UIButton *locBtn;

@end

@implementation BMKBackgroundLocTabView

- (instancetype)initWithFrame:(CGRect)frame {
    
    if (self = [super initWithFrame:frame]) {
        self.backgroundColor = [UIColor colorWithRed:34.f / 255.f green:37.f / 255.f blue:61.f / 255.f alpha:0.7f];
        [self addSubview:self.locBtn];
    }
    
    return self;
}

-(void)locBtnAction:(UIButton *)btn {
    btn.selected = !btn.selected;
    
    if (self.didClickTabBlock) {
        self.didClickTabBlock(btn.selected);
    }
}

- (UIButton *)locBtn {
    if (!_locBtn) {
        _locBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        _locBtn.frame = CGRectMake(20, 10, self.frame.size.width - 40, self.frame.size.height - 20);
        _locBtn.backgroundColor = [UIColor colorWithRed:34.f / 255.f green:37.f / 255.f blue:61.f / 255.f alpha:1.f];
        [_locBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
        [_locBtn setTitleColor:[[UIColor whiteColor] colorWithAlphaComponent:0.5] forState:UIControlStateHighlighted];
        _locBtn.titleLabel.font = [UIFont systemFontOfSize:16];
        [_locBtn setTitle:@"开始定位" forState:UIControlStateNormal];
        [_locBtn setTitle:@"停止定位" forState:UIControlStateSelected];
        _locBtn.layer.cornerRadius = 20;
        _locBtn.layer.masksToBounds = YES;
        
        [_locBtn addTarget:self action:@selector(locBtnAction:) forControlEvents:UIControlEventTouchUpInside];
    }
    return _locBtn;
}

@end
